Bug 29754 - [Binding] CGDisplayCreateImage and friends
Summary: [Binding] CGDisplayCreateImage and friends
Status: CONFIRMED
Alias: None
Product: Xamarin.Mac
Classification: Desktop
Component: Library (Xamarin.Mac.dll) (show other bugs)
Version: Master
Hardware: PC Mac OS
: Normal enhancement
Target Milestone: master
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-05-05 11:39 UTC by Chris Hamons
Modified: 2017-03-09 01:48 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 29754 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
CONFIRMED

Comment 1 Sebastien Pouliot 2017-03-09 01:48:20 UTC
xtro reports lots of friends

osx.pending:!missing-pinvoke! CGDisplayModeGetTypeID is not bound
osx.pending:!missing-pinvoke! CGDisplayStreamGetTypeID is not bound
osx.pending:!missing-pinvoke! CGDisplayStreamUpdateGetTypeID is not bound
osx.unclassified:!missing-enum! CGDisplayChangeSummaryFlags not bound
osx.unclassified:!missing-enum! CGDisplayStreamFrameStatus not bound
osx.unclassified:!missing-enum! CGDisplayStreamUpdateRectType not bound
osx.unclassified:!missing-field! kCGDisplayShowDuplicateLowResolutionModes not bound
osx.unclassified:!missing-field! kCGDisplayStreamColorSpace not bound
osx.unclassified:!missing-field! kCGDisplayStreamDestinationRect not bound
osx.unclassified:!missing-field! kCGDisplayStreamMinimumFrameTime not bound
osx.unclassified:!missing-field! kCGDisplayStreamPreserveAspectRatio not bound
osx.unclassified:!missing-field! kCGDisplayStreamQueueDepth not bound
osx.unclassified:!missing-field! kCGDisplayStreamShowCursor not bound
osx.unclassified:!missing-field! kCGDisplayStreamSourceRect not bound
osx.unclassified:!missing-field! kCGDisplayStreamYCbCrMatrix not bound
osx.unclassified:!missing-field! kCGDisplayStreamYCbCrMatrix_ITU_R_601_4 not bound
osx.unclassified:!missing-field! kCGDisplayStreamYCbCrMatrix_ITU_R_709_2 not bound
osx.unclassified:!missing-field! kCGDisplayStreamYCbCrMatrix_SMPTE_240M_1995 not bound
osx.unclassified:!missing-pinvoke! CGDisplayAvailableModes is not bound
osx.unclassified:!missing-pinvoke! CGDisplayBestModeForParameters is not bound
osx.unclassified:!missing-pinvoke! CGDisplayBestModeForParametersAndRefreshRate is not bound
osx.unclassified:!missing-pinvoke! CGDisplayCopyAllDisplayModes is not bound
osx.unclassified:!missing-pinvoke! CGDisplayCopyColorSpace is not bound
osx.unclassified:!missing-pinvoke! CGDisplayCopyDisplayMode is not bound
osx.unclassified:!missing-pinvoke! CGDisplayCreateImage is not bound
osx.unclassified:!missing-pinvoke! CGDisplayCreateImageForRect is not bound
osx.unclassified:!missing-pinvoke! CGDisplayCreateUUIDFromDisplayID is not bound
osx.unclassified:!missing-pinvoke! CGDisplayCurrentMode is not bound
osx.unclassified:!missing-pinvoke! CGDisplayFade is not bound
osx.unclassified:!missing-pinvoke! CGDisplayFadeOperationInProgress is not bound
osx.unclassified:!missing-pinvoke! CGDisplayGetDisplayIDFromUUID is not bound
osx.unclassified:!missing-pinvoke! CGDisplayGetDrawingContext is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIOServicePort is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsActive is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsAlwaysInMirrorSet is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsAsleep is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsBuiltin is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsInHWMirrorSet is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsInMirrorSet is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsMain is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsOnline is not bound
osx.unclassified:!missing-pinvoke! CGDisplayIsStereo is not bound
osx.unclassified:!missing-pinvoke! CGDisplayMirrorsDisplay is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeCopyPixelEncoding is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeGetHeight is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeGetIODisplayModeID is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeGetIOFlags is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeGetPixelHeight is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeGetPixelWidth is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeGetRefreshRate is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeGetWidth is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeIsUsableForDesktopGUI is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeRelease is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModeRetain is not bound
osx.unclassified:!missing-pinvoke! CGDisplayModelNumber is not bound
osx.unclassified:!missing-pinvoke! CGDisplayPrimaryDisplay is not bound
osx.unclassified:!missing-pinvoke! CGDisplayRegisterReconfigurationCallback is not bound
osx.unclassified:!missing-pinvoke! CGDisplayRemoveReconfigurationCallback is not bound
osx.unclassified:!missing-pinvoke! CGDisplayRotation is not bound
osx.unclassified:!missing-pinvoke! CGDisplayScreenSize is not bound
osx.unclassified:!missing-pinvoke! CGDisplaySerialNumber is not bound
osx.unclassified:!missing-pinvoke! CGDisplaySetDisplayMode is not bound
osx.unclassified:!missing-pinvoke! CGDisplaySetStereoOperation is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamCreate is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamCreateWithDispatchQueue is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamGetRunLoopSource is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamStart is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamStop is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamUpdateCreateMergedUpdate is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamUpdateGetDropCount is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamUpdateGetMovedRectsDelta is not bound
osx.unclassified:!missing-pinvoke! CGDisplayStreamUpdateGetRects is not bound
osx.unclassified:!missing-pinvoke! CGDisplaySwitchToMode is not bound
osx.unclassified:!missing-pinvoke! CGDisplayUnitNumber is not bound
osx.unclassified:!missing-pinvoke! CGDisplayUsesOpenGLAcceleration is not bound
osx.unclassified:!missing-pinvoke! CGDisplayVendorNumber is not bound
osx.unclassified:!missing-pinvoke! CVDisplayLinkCreateWithCGDisplay is not bound
osx.unclassified:!missing-pinvoke! CVDisplayLinkCreateWithCGDisplays is not bound